Subject: Re: bug#23985: Emacs 25.0.94: FEATURE ADDITION: Texinfo environment movement commands

From: Robert Weiner <[email-masked]>
Date: Thu, 14 Jul 2016 15:43:44 -0400

On Thu, Jul 14, 2016 at 3:19 PM, Eli Zaretskii <[email-masked]> wrote:
> Thanks.  Allow me a few comments.

Thanks for the feedback.

>
>> + ;;; Texinfo environment, e.g. @table, movement commands
>> + ;; Author: Bob Weiner <[email-masked]>, Orig-Date: 7/14/2016
>> + ;; Copyright (C) 2016  Free Software Foundation, Inc.

>
> We don't put such comments into the code, the log entry and AUTHORS
> serve this purpose.

I just put that in there for the reference of whoever actually patches
the Emacs sources, not to be kept in there.

>
>> + (defun texinfo-to-environment-bounds ()
>> +   "If within a Texinfo environment with an @end, move point first to its starting line and then to its ending line.
>
> The first line of a doc string should not be wider than 67 characters,
> certainly not more than 78, and it should still be a complete sentence
> that summarizes what the function does.

It is a sentence and I always make the first line of a doc string
stand alone but often the complexity makes these first lines long.
I then wrap further lines at 78 or less.  I will keep this advice in
mind but will no doubt find it hard to be clear and complete with
in such a short space.

>
>> + Do nothing when outside of an environment; this does not handle nested environments."
>
> Other lines should also be broken at character 70.

Is that really done throughout Emacs?  With today's wider screens, I
would think some relaxation would be permitted.

> I think these additions should be also reflected in NEWS.

Yes.

Bob